package edu.travel.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户-宝宝-亲属角色-关系表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "bt_baby_user_relation")
public class BtBabyUserRelation implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 用户id
     */
    @TableField(value = "user_id")
    private String userId;

    /**
     * 宝宝id
     */
    @TableField(value = "baby_id")
    private String babyId;

    /**
     * 亲属角色id
     */
    @TableField(value = "relative_role_id")
    private String relativeRoleId;

    /**
     * 是否是创建人 0否 1是 (只有创建人有权修改宝宝基本信息和宝宝的亲属列表)
     */
    @TableField(value = "is_founder")
    private Byte isFounder;

    /**
     * 项目名称
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建用户id
     */
    @TableField(value = "create_user_id")
    private Long createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新用户id
     */
    @TableField(value = "update_user_id")
    private Long updateUserId;

    /**
     * 逻辑删除标记
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;

    private static final long serialVersionUID = 1L;
}