package edu.travel.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 喂养记录表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "bt_feed_record")
public class BtFeedRecord implements Serializable {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 行为类型 1喂奶 2辅食 3尿布 4睡眠 5吸奶 6洗澡 7游泳
     */
    @TableField(value = "`type`")
    private Integer type;

    /**
     * 喂奶类型 1母乳喂养 2母乳瓶喂养 3配方奶喂养
     */
    @TableField(value = "nurse_method")
    private Integer nurseMethod;

    /**
     * 喂奶量(ml) type==1&&nurse_method==2 或type==1&&nurse_method==3 时使用
     */
    @TableField(value = "nurse_amount")
    private Integer nurseAmount;

    /**
     * 辅食名称 type==2 时使用
     */
    @TableField(value = "complementary_name")
    private String complementaryName;

    /**
     * 是否有粪便 0没有 1有 type==3 时使用
     */
    @TableField(value = "has_stool")
    private Byte hasStool;

    /**
     * 吸奶量 type==5 时使用
     */
    @TableField(value = "milk_output")
    private Integer milkOutput;

    /**
     * 开始时间
     */
    @TableField(value = "start_time")
    private Date startTime;

    /**
     * 结束时间
     */
    @TableField(value = "end_time")
    private Date endTime;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 相关图片 限制6张
     */
    @TableField(value = "images")
    private String images;

    /**
     * 项目名称
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建用户id
     */
    @TableField(value = "create_user_id")
    private Long createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新用户id
     */
    @TableField(value = "update_user_id")
    private Long updateUserId;

    /**
     * 逻辑删除标记
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;

    private static final long serialVersionUID = 1L;
}